org.keycloak.saml.common.exceptions

## Class ParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - org.keycloak.saml.common.exceptions.ParsingException

- All Implemented Interfaces:
    Serializable

      public class ParsingException
      extends GeneralSecurityException

  General Exception indicating parsing exception
  Since:
    May 22, 2009
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsingException()`
    `ParsingException(String message)`
    `ParsingException(String message, Throwable cause)`
    `ParsingException(Throwable cause)`
    `ParsingException(XMLStreamException xmle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `getLocation()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsingException

          public ParsingException()

    - #### ParsingException

          public ParsingException(String message,
                                  Throwable cause)

    - #### ParsingException

          public ParsingException(String message)

    - #### ParsingException

          public ParsingException(Throwable cause)

    - #### ParsingException

          public ParsingException(XMLStreamException xmle)

  - ### Method Detail

    - #### getLocation

          public Location getLocation()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2016 JBoss by Red Hat. All rights reserved.